Unpin User Conversation
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/conversation/pin \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/conversation/pin"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/conversation/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"conversationId": "superhero1_user_superhero2",
"conversationType": "user"
}
}{
"error": {
"code": "ERR_SYSTEM_PINNED_CONVERSATION",
"message": "The conversation is pinned for all users by the app and can not be unpinned by a user."
}
}Conversations
Unpin User Conversation
Unpin a CometChat one-on-one conversation for a user with REST API, removing that user’s own pin.
DELETE
/
users
/
{uid}
/
conversation
/
pin
Unpin User Conversation
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
UID of the user whose conversation needs to be fetched.
Response
Unpinning a one-to-one conversation. pinnedBy and pinnedAt are left out of the response once the conversation is no longer pinned.
Was this page helpful?